DefInt A-Z
Declare Function GetModuleHandle Lib "Kernel" (ByVal lpModuleName As String)
Declare Function GetModuleUsage Lib "Kernel" (ByVal hModule As Integer)

' User Profile Routines (provided by the Microsoft Windows Kernel DLL)
Declare Function GetProfileInt% Lib "Kernel" (ByVal lpAppName$, ByVal lpKeyName$, ByVal nDefault%)
Declare Function GetProfileString% Lib "Kernel" (ByVal lpAppName$, ByVal lpKeyName$, ByVal lpDefault$, ByVal lpReturnedString$, ByVal nSize%)
Declare Function WriteProfileString% Lib "Kernel" (ByVal lpApplicationName$, ByVal lpKeyName$, ByVal lpString$)
Declare Function GetPrivateProfileInt% Lib "Kernel" (ByVal lpApplicationName$, ByVal lpKeyName$, ByVal nDefault%, ByVal lpFilename$)
Declare Function GetPrivateProfileString% Lib "Kernel" (ByVal lpApplicationName$, ByVal lpKeyName$, ByVal lpDefault$, ByVal lpReturnedString$, ByVal nSize%, ByVal lpFilename$)
Declare Function WritePrivateProfileString% Lib "Kernel" (ByVal lpApplicationName$, ByVal lpKeyName$, ByVal lpString$, ByVal lpFilename$)
Declare Function GetWindowsDirectory% Lib "Kernel" (ByVal lpBuffer$, ByVal nSize%)
Declare Function GetSystemDirectory% Lib "Kernel" (ByVal lpBuffer$, ByVal nSize%)

' Functions to get own filename
Global Const GCW_HMODULE = -16
Declare Function GetClassWord% Lib "User" (ByVal hModule%, ByVal nIndex%)
Declare Function GetModuleFileName% Lib "Kernel" (ByVal hModule%, ByVal lpFilename$, ByVal nSize%)

' Function to clear ListBox
Declare Function SendMessage% Lib "user" (ByVal hWnd%, ByVal wMsg%, ByVal wParam%, ByVal lParam&)
Declare Function GetParent Lib "User" (ByVal hWnd As Integer)
Declare Function GetFocus% Lib "user" ()
Declare Function PutFocus% Lib "user" Alias "SetFocus" (ByVal hWnd%)
Declare Function SetCapture% Lib "User" (ByVal hWnd As Integer)
Declare Function GetCapture Lib "User" () As Integer
Declare Sub ReleaseCapture Lib "User" ()

' ClipBoard functions
Declare Function OpenClipboard Lib "User" (ByVal hWnd)
Declare Function CountClipboardFormats Lib "User" ()
Declare Function EnumClipboardFormats Lib "User" (ByVal wFormat)
Declare Function GetClipboardFormatName Lib "User" (ByVal wFormat, ByVal lpString As String, ByVal nMaxCount)
Declare Function CloseClipboard Lib "User" ()

' Booleans
Global Const TRUE = -1
Global Const FALSE = 0

' DDE LinkModes
Global Const NONE = 0
Global Const HOT = 1
Global Const COLD = 2

' Clipboard Formats
Global Const CF_TEXT = 1
Global Const CF_BITMAP = 2
Global Const CF_METAFILE = 3
Global Const CF_SYLK = 4
Global Const CF_DIF = 5
Global Const CF_TIFF = 6
Global Const CF_OEMTEXT = 7
Global Const CF_DIB = 8
Global Const CF_PALETTE = 9

Global Const CF_OWNERDISPLAY = &H80
Global Const CF_DSPTEXT = &H81
Global Const CF_DSPBITMAP = &H82
Global Const CF_DSPMETAFILEPICT = &H83

' "Private" formats don't get GlobalFree()'d
Global Const CF_PRIVATEFIRST = &H200
Global Const CF_PRIVATELAST = &H2FF

' "GDIOBJ" formats do get DeleteObject()'d
Global Const CF_GDIOBJFIRST = &H300
Global Const CF_GDIOBJLAST = &H3FF

' MsgBox parameters
Global Const MB_OK = 0                 ' OK button only
Global Const MB_OKCANCEL = 1           ' OK and Cancel buttons
Global Const MB_ABORTRETRYIGNORE = 2   ' Abort, Retry, and Ignore buttons
Global Const MB_YESNOCANCEL = 3        ' Yes, No, and Cancel buttons
Global Const MB_YESNO = 4              ' Yes and No buttons
Global Const MB_RETRYCANCEL = 5        ' Retry and Cancel buttons

Global Const MB_ICONSTOP = 16          ' Critical message
Global Const MB_ICONQUESTION = 32      ' Warning query
Global Const MB_ICONEXCLAMATION = 48   ' Warning message
Global Const MB_ICONINFORMATION = 64   ' Information message

Global Const MB_DEFBUTTON1 = 0         ' First button is default
Global Const MB_DEFBUTTON2 = 256       ' Second button is default
Global Const MB_DEFBUTTON3 = 512       ' Third button is default

' MsgBox return values
Global Const IDOK = 1                  ' OK button pressed
Global Const IDCANCEL = 2              ' Cancel button pressed
Global Const IDABORT = 3               ' Abort button pressed
Global Const IDRETRY = 4               ' Retry button pressed
Global Const IDIGNORE = 5              ' Ignore button pressed
Global Const IDYES = 6                 ' Yes button pressed
Global Const IDNO = 7                  ' No button pressed

' ErrNum (LinkError)
Global Const USER_CANCELED = -100
Global Const RETURN_WITHOUT_GOSUB = 3
Global Const ILLEGAL_FUNCTION_CALL = 5
Global Const Overflow = 6
Global Const OUT_OF_MEMORY = 7
Global Const SUBSCRIPT_OUT_OF_RANGE = 9
Global Const DUPLICATE_DEFINITION = 10
Global Const DIVISION_BY_ZERO = 11
Global Const TYPE_MISMATCH = 13
Global Const OUT_OF_STRING_SPACE = 14
Global Const STRING_FORMULA_TOO_COMPLEX = 16
Global Const CANT_CONTINUE = 17
Global Const NO_RESUME = 19
Global Const RESUME_WITHOUT_ERROR = 20
Global Const OUT_OF_STACK_SPACE = 28
Global Const SUB_OR_FUNCTION_NOT_DEFINED = 35

Global Const ERROR_IN_LOADING_DLL = 48
Global Const INTERNAL_ERROR = 51
Global Const BAD_FILE_NAME_OR_NUMBER = 52
Global Const FILE_NOT_FOUND = 53
Global Const BAD_FILE_MODE = 54
Global Const FILE_ALREADY_OPEN = 55
Global Const DEVICE_IO_ERROR = 57
Global Const FILE_ALREADY_EXISTS = 58
Global Const BAD_RECORD_LENGTH = 59
Global Const DISK_FULL = 61
Global Const INPUT_PAST_END_OF_FILE = 62
Global Const BAD_RECORD_NUMBER = 63
Global Const BAD_FILE_NAME = 64
Global Const TOO_MANY_FILES = 67
Global Const DEVICE_UNAVAILABLE = 68
Global Const PERMISSION_DENIED = 70

Global Const DISK_NOT_READY = 71
Global Const RENAME_WITH_DIFFERENT_DRIVE = 74
Global Const PATHFILE_ACCESS_ERROR = 75
Global Const PATH_NOT_FOUND = 76

'  DDE Error Constants
Global Const NO_TIMER_AVAILABLE = 260
Global Const DDE_CHANNEL_NOT_CLOSED = 280
Global Const NO_MORE_DDE_CHANNELS = 281
Global Const NO_APPS_RESPONDED = 282
Global Const MULTIPLE_APPS_RESPONDED = 283
Global Const DDE_CHANNEL_LOCKED = 284
Global Const WRONG_DATA_TYPE = 285
Global Const DDE_TIMEOUT = 286
Global Const PRESSED_ALT_KEY_DURING_DDE = 287
Global Const DESTINATION_IS_BUSY = 288
Global Const DDE_DATA_NOT_PROVIDED = 289
Global Const DATA_IN_WRONG_FORMAT = 290
Global Const FOREIGN_APPLICATION_QUIT = 291
Global Const DDE_CLOSED_OR_CHANGED = 292
Global Const NO_CHANNEL_OPEN = 293
Global Const INVALID_DDE_LINK_FORMAT = 294
Global Const MESSAGE_QUEUE_FILLED = 295
Global Const PASTELINK_ALREADY_ACTIVE = 296
Global Const INVALID_LINKTOPIC = 297
Global Const DEVICE_NAMES_IN_FILENAMES = 320
Global Const INVALID_FILE_FORMAT = 321

Global Const INVALID_CONTROL_ARRAY_ELEMENT_ITEM = 340
Global Const INVALID_OBJECT_ARRAY_INDEX = 341
Global Const NO_ROOM_CONTROL_ARRAY_ITEM = 342
Global Const OBJECT_NOT_AN_ARRAY = 343
Global Const MUST_SPECIFY_ARRAY_INDEX = 344
Global Const CONTROL_LIMIT = 345
Global Const OBJECT_ALREADY_LOADED = 360
Global Const CANT_LOAD_OR_UNLOAD_THIS_OBJECT = 361
Global Const CANT_UNLOAD_CONTROL = 362
Global Const CUSTOM_CONTROL_ITEM_NOT_FOUND = 363
Global Const OBJECT_WAS_UNLOADED = 364
Global Const UNABLE_TO_UNLOAD = 365
Global Const INVALID_PROPERTY_VALUE = 380

Global Const INVALID_PROPERTY_ARRAY_INDEX = 381
Global Const PROPERTY_CANT_BE_SET_AT_RUN_TIME = 382
Global Const ITEM_PROPERTY_IS_READ_ONLY = 383
Global Const FORM_IS_MINIMIZED_OR_MAXIMIZED = 384
Global Const PROPERTY_ARRAY_WITHOUT_INDEX = 385
Global Const PROPERTY_NOT_AVAILABLE_AT_RUN_TIME = 386
Global Const PROPERTY_CANT_BE_SET_ON_THIS_CONTROL = 387
Global Const CANT_SET_VISIBLE_FROM_PARENT_MENU = 388
Global Const FORM_ALREADY_DISPLAYED = 400
Global Const MODAL_FORM_OPEN = 401
Global Const MODAL_FORM_ON_TOP = 402
Global Const INVALID_OBJECT_REFERENCE = 420

Global Const METHOD_NOT_APPLICABLE = 421
Global Const PROPERTY_ITEM_NOT_FOUND = 422
Global Const PROPERTY_OR_CONTROL_ITEM_NOT_FOUND = 423
Global Const OBJECT_REQUIRED = 424
Global Const INVALID_OBJECT_USE = 425
Global Const NO_CURRENTLY_ACTIVE_CONTROL = 430
Global Const NO_CURRENTLY_ACTIVE_FORM = 431
Global Const INVALID_CLIPBOARD_FORMAT = 460
Global Const NON_MATCHING_DATA_FORMAT = 461
Global Const CANT_CREATE_AUTOREDRAW_IMAGE = 480
Global Const INVALID_PICTURE = 481
Global Const PRINTER_ERROR = 482
Global Const CANT_EMPTY_CLIPBOARD = 520
Global Const CANT_OPEN_CLIPBOARD = 521

Type IniAppType
       AppName As String
End Type

Type IniTopicsType
       Topic As String
End Type

Type IniItemsType
       item As String
End Type

Type IniExecuteType
       Instruction As String
End Type

Global arIniApps()  As IniAppType
Global arExecutes() As IniExecuteType
Global arTopics() As IniTopicsType
Global arItems() As IniItemsType
Global arPokes() As IniExecuteType

